# Client (WIP)

## Initialize

<mark style="color:blue;">`GET`</mark> `https://api.koople.com/proxy/client/initialize`

This endpoint returns all the features enabled and the remote configs for the requested id.

#### Headers

| Name      | Type   | Description                 |
| --------- | ------ | --------------------------- |
| x-api-key | string | Environment client API key. |

#### Request Body

| Name    | Type   | Description     |
| ------- | ------ | --------------- |
| id      | string | User identifier |
| context | string | User attributes |

{% tabs %}
{% tab title="200 Evaluation successfully retrieved." %}

```
{
    "featureFlags": {
        "awesomeFeature": true,
        "superFeature": true
    },
    "remoteConfigs": {
        "theme": "light"
    }
}
```

{% endtab %}

{% tab title="404 Could not find an environment that matches the requested API key." %}

```
{
    // TODO
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://koople.gitbook.io/koople/api-reference/client-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
